## org.jvnet.libpam.impl
Interface PAMLibrary.pam_conv.PamCallback

All Superinterfaces:
  com.sun.jna.Callback

Enclosing class:
  PAMLibrary.pam_conv

    public static interface PAMLibrary.pam_conv.PamCallback

extends com.sun.jna.Callback

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.jna.Callback
`com.sun.jna.Callback.UncaughtExceptionHandler`

Field Summary

Fields inherited from interface com.sun.jna.Callback
`FORBIDDEN_NAMES, METHOD_NAME`

Method Summary
`int` `callback(int num_msg, com.sun.jna.Pointer msg, com.sun.jna.Pointer resp, com.sun.jna.Pointer _)` According to http://www.netbsd.org/docs/guide/en/chap-pam.html#pam-sample-conv, resp and its member string both needs to be allocated by malloc, to be freed by the caller.

Method Detail

### callback

    int callback(int num_msg,
                 com.sun.jna.Pointer msg,
                 com.sun.jna.Pointer resp,
                 com.sun.jna.Pointer _)

  According to http://www.netbsd.org/docs/guide/en/chap-pam.html#pam-sample-conv, resp and its member string both needs to be allocated by malloc, to be freed by the caller.

Copyright © 2012. All Rights Reserved.